# Uses of Class
org.apache.lucene.search.suggest.document.CompletionScorer

Packages that use CompletionScorer
Package
Description
org.apache.lucene.search.suggest.document
Support for document suggestion

## Uses of CompletionScorer in org.apache.lucene.search.suggest.document

Methods in org.apache.lucene.search.suggest.document with parameters of type CompletionScorer
Modifier and Type
Method
Description
`void`
NRTSuggester.`lookup(CompletionScorer scorer, Bits acceptDocs, TopSuggestDocsCollector collector)`
Collects at most `TopSuggestDocsCollector.getCountToCollect()` completions that match the provided `CompletionScorer`.